# Class ELClass

java.lang.Object
jakarta.el.ELClass

public class ELClass extends Object
Wrapper for a `Class` object that enables access to static fields and methods from EL expressions. An ELClass instance is used as the base object when resolving static members, typically in conjunction with the `StaticFieldELResolver`.

Since:
  EL 3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELClass(Class<?> clazz)`
  Constructs an ELClass wrapping the specified Class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getKlass()`
  Returns the wrapped Class.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ELClass

    public ELClass(Class<?> clazz)
    Constructs an ELClass wrapping the specified Class.
    Parameters:
      `clazz` - the class to wrap

- ## Method Details

  - ### getKlass

    public Class<?> getKlass()
    Returns the wrapped Class.
    Returns:
      the wrapped Class